Bug 482817 - iwlagn failed to work after sleep
iwlagn failed to work after sleep
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 07:31 EST by Neal Becker
Modified: 2009-06-08 07:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 11:11:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2009-01-28 07:31:36 EST
Description of problem:
2.6.27.12-170.2.5.fc10.x86_64

Jan 28 06:12:54 nbecker1 kernel: iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, 1.3.27kds
Jan 28 06:12:54 nbecker1 kernel: iwlagn: Copyright(c) 2003-2008 Intel Corporation
Jan 28 06:12:54 nbecker1 kernel: iwlagn 0000:02:00.0: enabling device (0000 -> 0002)
Jan 28 06:12:54 nbecker1 kernel: iwlagn 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Jan 28 06:12:54 nbecker1 kernel: iwlagn: Detected Intel Wireless WiFi Link 4965AGN REV=0xFFFFFFFF
Jan 28 06:12:54 nbecker1 kernel: iwlagn: MAC is in deep sleep!
Jan 28 06:12:54 nbecker1 kernel: iwlagn: probe of 0000:02:00.0 failed with error -5

That MAC is in deep sleep looks like the problem.
Version-Release number of selected component (if applicable):


How reproducible:

Haven't tried.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 4 John W. Linville 2009-02-25 14:40:51 EST
A patch to fix this should be included in this kernel:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=83870

Can you try to recreate the issue with that kernel?
Comment 5 John W. Linville 2009-04-27 11:11:55 EDT
Hopefully that worked?  In any event, closed due to lack of response...
Comment 6 David Freeman 2009-06-07 20:55:34 EDT
I am experiencing this issue with 2.6.27.24-170.2.68.fc10.x86_64.

The package listed at http://kojipkgs.fedoraproject.org/packages/kernel/2.6.29/0.43.rc6.fc10/x86_64/kernel-2.6.29-0.43.rc6.fc10.x86_64.rpm is no longer available.

John, is there an alternative build URL with which to try to reproduce?
Comment 7 David Freeman 2009-06-07 20:56:42 EDT
Is this patch going into the first kernel of the F11 release?
Comment 8 John W. Linville 2009-06-08 07:40:31 EDT
yum --enablerepo=updates-testing update kernel

The above command should get a later 2.6.29-based kernel for F10.  F11 should already have the patch.
Comment 9 David Freeman 2009-06-08 07:46:17 EDT
Thanks, John.

Note You need to log in before you can comment on or make changes to this bug.